Package org.stianloader.picoresolve.exclusion

# Class Exclusion

java.lang.Object
org.stianloader.picoresolve.exclusion.Exclusion

All Implemented Interfaces:
  `Excluder`

public class Exclusion extends Object implements Excluder

## Constructor Summary

Constructors
Constructor
Description
`Exclusion(String group, String artifact)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`isExcluding(String group, String artifact)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Exclusion

public Exclusion(String group, String artifact)

## Method Details

### isExcluding

public boolean isExcluding(String group, String artifact)

Specified by:
  `isExcluding` in interface `Excluder`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`